title: Commvault Cloud Replication Admin
description: Permissions required for replication operations on Compute Engine.
stage: GA
includedPermissions:
 - compute.addresses.get
 - compute.disks.create
 - compute.disks.createSnapshot
 - compute.disks.delete
 - compute.disks.get
 - compute.disks.resize
 - compute.disks.setLabels
 - compute.disks.use
 - compute.disks.list
 - compute.diskTypes.get
 - compute.globalOperations.get
 - compute.instances.attachDisk
 - compute.instances.create
 - compute.instances.delete
 - compute.instances.list
 - compute.instances.get
 - compute.instances.detachDisk
 - compute.instances.setDeletionProtection
 - compute.instances.setLabels
 - compute.instances.setMetadata
 - compute.instances.setServiceAccount
 - compute.instances.setTags
 - compute.instances.start
 - compute.instances.stop
 - compute.instances.updateDisplayDevice
 - compute.instances.getSerialPortOutput
 - compute.machineTypes.get
 - compute.machineTypes.list
 - compute.networks.get
 - compute.networks.list
 - compute.nodeGroups.get
 - compute.nodeGroups.list
 - compute.projects.get
 - compute.regionOperations.get
 - compute.regions.get
 - compute.regions.list
 - compute.snapshots.create
 - compute.snapshots.delete
 - compute.snapshots.get
 - compute.snapshots.setLabels
 - compute.snapshots.useReadOnly
 - compute.subnetworks.get
 - compute.subnetworks.list
 - compute.subnetworks.use
 - compute.subnetworks.useExternalIp
 - compute.zoneOperations.get
 - compute.zones.get
 - compute.zones.list
 - iam.serviceAccounts.actAs
 - iam.serviceAccounts.get
 - iam.serviceAccounts.list
 - resourcemanager.projects.get
 # Encryption permissions
 - cloudkms.cryptoKeyVersions.useToDecrypt
 - cloudkms.cryptoKeyVersions.useToEncrypt
 - cloudkms.cryptoKeys.create
 - cloudkms.cryptoKeys.get
 - cloudkms.cryptoKeys.update
 - cloudkms.keyRings.create
 - cloudkms.keyRings.get
 # Storage permissions
 - storage.buckets.delete
 - storage.buckets.get
 - storage.buckets.update
 - storage.objects.create
 - storage.objects.delete
 - storage.objects.get
 - storage.objects.list
 - storage.objects.update
 - storage.multipartUploads.create
 